%define version 1.2.5
%define release 5mdk

%define pkgname libsigc++

%define libname_orig sigc++
%define api_version 1.2
%define lib_major 5
%define libname %mklibname %libname_orig %api_version %lib_major

Name: %{pkgname}%{api_version}
Summary: The Typesafe Signal Framework for C++
Version: %{version}
Release: %{release}
License: LGPL
# http://download.sourceforge.net/libsigc/
Source: %{pkgname}-%{version}.tar.bz2
Url: http://libsigc.sourceforge.net/
Group: System/Libraries
BuildRequires: gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary: The Typesafe Signal Framework for C++
Group: System/Libraries
Provides: %{pkgname}%{api_version} = %{version}-%{release}
Obsoletes: %{pkgname}%{api_version}
Provides: lib%{libname_orig}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}-devel
Summary: Development tools for the Typesafe Signal Framework for C++ 
Group: Development/C++
Provides: libsigc++1.2-examples
Obsoletes: libsigc++1.2-examples
Provides: %{pkgname}%{api_version}-devel = %{version}-%{release}
Obsoletes: %{pkgname}%{api_version}-devel
Provides: lib%{libname_orig}%{api_version}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig 

%description -n %{libname}-devel
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.


%prep
%setup -q -n %{pkgname}-%{version}

# (Abel) Info is inaccurate anyway even after substitution.
#perl -pi -e 's|\${prefix}|%{_prefix}|' README
#perl -pi -e 's|PREFIX|%{_prefix}|' doc/FAQ

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x
make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# (Abel) All these examples/test stuff are completely f*cked up
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{pkgname}
#cp -a examples tests $RPM_BUILD_ROOT%{_libdir}/%{pkgname}
#find $RPM_BUILD_ROOT%{_libdir}/%{pkgname} -type f|xargs file|grep 'relocatable\|executable\|shell script'|cut -d: -f1|xargs rm -f
#find $RPM_BUILD_ROOT%{_libdir}/%{pkgname} -type d -name .libs|xargs rm -rf
#
#rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/examples/Makefile.*
#cp -p scripts/tests.Makefile $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/examples/Makefile
#rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/tests/Makefile.*
#cp -p scripts/examples.Makefile $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/tests/Makefile

rm -rf doc/tests
mkdir doc/tests
cp tests/*.cc tests/README tests/Makefile doc/tests/

rm -rf doc/examples
mkdir doc/examples
cp examples/*.cc examples/Makefile doc/examples/

# remove files not bundled
rm -f doc/manual/README

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB FEATURES NEWS README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog TODO IDEAS doc/[[:lower:]]*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%changelog
* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-5mdk
- don't use "libsigc" in binary package but "libsigc++", it's the real
  name of the package anyway

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.2.5-4mdk
- Convert this spec to UTF-8
- mklibname
- Don't provide libsigc++-devel, that's sigc++ 1.0's job
- examples package gone for good. It is moved to %%doc of devel
  package -- an utter mess

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-3mdk
- make the devel package require pkgconfig

* Tue Jul 8 2003 Austin Acton <aacton@yorku.ca> 1.2.5-2mdk
- from andi payn <payn@myrealbox.com> :
  - Don't obsolete libsigc++-devel, so 1.2 and 1.0 can coexist.

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.5-1mdk
- Release 1.2.5

* Sat Apr  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- the 1.2 generation (for gtkmm2)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue Jul 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-4mdk
- take Goetz Waschk <waschk@informatik.uni-rostock.de> patch in order to
  build again (disable `windres' use, seems to be a ms-windows only
  binary)

* Tue Jul  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-3mdk
- Costlessly make check in %%build stage

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-2mdk
- Automated rebuild in gcc3.1 environment

* Sat Dec 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4 (some strange stuff with centericq + 1.0.3).

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-3mdk
- fix obsolete-tag Copyright
- fix summary-too-long
- fix description-line-too-long

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-2mdk
- rebuild to fix distribution tag and provides
- need to change Makefile.am since libtool can't see it needs to
  dynamically link with libstdc++ :-(

* Sat Feb 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- make provides qualifying version

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- Correct Obsoletes

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-2mdk
- fix descriptions

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- new lib policy

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- fix summaries and inter-dependency

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- recompile against newest libstdc++

* Tue Oct  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- fix spelling-error-in-description

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- macros

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0 (was released to accompany the release of gtkmm-1.2.0)

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-3mdk
- fixed wrong group for libsigc++-examples.

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-2mdk
- fix. now it does work with gtkmm.

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- oops the 0.8.6 release was out

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- mandrake build

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %{name}, %{name}-devel and %{name}-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
